import requests

DDL_SERVER = "http://69.230.251.234:8081/api"

script_path = "D://Temp//ComfyUI_windows_portable_nvidia//ComfyUI_windows_portable//ComfyUI//script_examples//custom//basic_api_example - Copy.py"


def send_ddl_job(
    job_info={
        "Plugin": "Python",
        "Priority": 49,
        "Name": "ComfyUI Job",
        "Group": "general",
    },
    plugin_info={"ScriptFile": script_path, "Version": "3.1"},
):
    url = f"{DDL_SERVER}/jobs"
    data = {
        "JobInfo": job_info,
        "PluginInfo": plugin_info,
        "AuxFiles": [],
        "IdOnly": True,
    }
    response = requests.post(url, json=data)

    if response.status_code == 200:
        print("Data posted successfully.")
        return response.json()
    else:
        print(f"Failed to post data. Status code: {response.status_code}")
        return None


send_ddl_job()
